Bug 636096 - RFE: Object enumeration: APIs to enumerate objects in O(1) time
Summary: RFE: Object enumeration: APIs to enumerate objects in O(1) time
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 849976 libvirtTodoScale
TreeView+ depends on / blocked
 
Reported: 2010-09-21 14:09 UTC by Daniel Berrangé
Modified: 2016-04-26 19:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 849976 (view as bug list)
Environment:
Last Closed: 2015-01-15 12:15:09 UTC
Embargoed:


Attachments (Terms of Use)

Description Daniel Berrangé 2010-09-21 14:09:00 UTC
Description of problem:
The use of virConnectListDomains + virConnectListDefinedDomains + virDomainLookupByID/UUID takes O(n) time, and is subject to a race condition. It should be possible to list all domains in a single API call, returning virDomainPtr objects immediately. Likewise for storage pools, volumes, networks, interfaces, node devices.

 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Berrangé 2012-08-21 11:49:26 UTC
Latest upstream posting

https://www.redhat.com/archives/libvir-list/2012-August/msg01185.html

Comment 2 Daniel Berrangé 2015-01-15 12:15:09 UTC
This was done in a series of patches starting with

commit 747f64eeaf9022a6d1155697f2344862653c5c95
Author: Peter Krempa <pkrempa>
Date:   Fri May 18 17:22:02 2012 +0200

    lib: Add public api to enable atomic listing of guest


Note You need to log in before you can comment on or make changes to this bug.